# Generated by Django 4.2.4 on 2023-11-30 15:25

from django.db import migrations, models
import django.db.models.deletion
import taggit.managers
import utilities.json


class Migration(migrations.Migration):

    dependencies = [
        ('extras', '0102_move_configrevision'),
        ('dcim', '0183_protect_child_interfaces'),
        ('ipam', '0068_move_l2vpn'),
    ]

    operations = [
        migrations.CreateModel(
            name='VLANDeviceMapping',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('custom_field_data', models.JSONField(blank=True, default=dict, encoder=utilities.json.CustomFieldJSONEncoder)),
                ('description', models.CharField(blank=True, max_length=200)),
                ('comments', models.TextField(blank=True)),
                ('device', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='devices', to='dcim.device')),
                ('tags', taggit.managers.TaggableManager(through='extras.TaggedItem', to='extras.Tag')),
                ('vlan', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='vlans', to='ipam.vlan')),
            ],
            options={
                'verbose_name': 'VLAN to Device Termination',
                'verbose_name_plural': 'VLAN to Device Terminations',
                'ordering': ('device', 'vlan', 'pk'),
            },
        ),
        migrations.AddConstraint(
            model_name='vlandevicemapping',
            constraint=models.UniqueConstraint(fields=('device', 'vlan'), name='ipam_vlandevicemapping_unique_device_vlan'),
        ),
    ]
